// ****************************************************************************
//  Project:        GUYMAGER
// ****************************************************************************
//  Programmer:     Guy Voncken
//                  Police Grand-Ducale
//                  Service de Police Judiciaire
//                  Section Nouvelles Technologies
// ****************************************************************************
//  Module:         t_ItemDelegate is responsible for displaying the cells
//                  in t_Table.
// ****************************************************************************

#ifndef __ITEMDELEGATE_H__
#define __ITEMDELEGATE_H__

#include <QtGui>  //lint !e537 repeated include


class t_ItemDelegateLocal;

class t_ItemDelegate: public QItemDelegate
{
   Q_OBJECT

   public:
      static const int DisplayTypeRole = Qt::UserRole;   // Extension to Qt::ItemDataRole; when QModelIndex::data is called with this role, it is expected to return one of the enums below
      static const int RowNrRole       = Qt::UserRole+1; // To find out the screen row nr / list row nr lookup

      enum
      {
         DISPLAYTYPE_STANDARD = 0,   // Use the standard QItemDelegate functions for displaying this cell
         DISPLAYTYPE_PERCENTAGE_BAR  // The value returned is between 0 and 100 and should be displayed as a percentage bar
      };

   public:
      t_ItemDelegate (QObject *pParent=NULL);
     ~t_ItemDelegate ();

      virtual void  paint    (QPainter *pPainter, const QStyleOptionViewItem &Option, const QModelIndex &Index) const;
      virtual QSize sizeHint (                    const QStyleOptionViewItem &Option, const QModelIndex &Index) const;

   private:
      t_ItemDelegateLocal *pOwn;
};

// ------------------------------------
//             Error codes
// ------------------------------------

#ifdef __MODULES_H__
   enum
   {
      ERROR_ITEMDELEGATE_BAD_DISPLAY_TYPE = ERROR_BASE_ITEMDELEGATE + 1,
   };
#endif

#endif


