// ****************************************************************************
//  Project:        GUYMAGER
// ****************************************************************************
//  Programmer:     Guy Voncken
//                  Police Grand-Ducale
//                  Service de Police Judiciaire
//                  Section Nouvelles Technologies
// ****************************************************************************
//  Module:         Thread for calculating MD5 sum
// ****************************************************************************


#ifndef __THREADMD5_H__
#define __THREADMD5_H__

#include <QThread>   //lint !e537 Repeated include

#ifndef __DEVICE_H__
  #include "device.h"
#endif

class t_ThreadMD5Local;

class t_ThreadMD5: public QThread
{
   Q_OBJECT

   public:
      t_ThreadMD5 ();
      t_ThreadMD5 (t_pDevice pDevice);
     ~t_ThreadMD5 ();

   protected:
      void run (void);

   signals:
      void SignalEnded (t_pDevice pDevice);

   private slots:
      void SlotFinished (void);

   private:
      t_ThreadMD5Local *pOwn;
};

// ------------------------------------
//             Error codes
// ------------------------------------

enum
{
   ERROR_THREADMD5_CONSTRUCTOR_NOT_SUPPORTED = ERROR_BASE_THREADMD5 + 1,
   ERROR_THREADMD5_LIBEWF_FAILED
};

#endif

