// ****************************************************************************
//  Project:        GUYMAGER
// ****************************************************************************
//  Programmer:     Guy Voncken
//                  Police Grand-Ducale
//                  Service de Police Judiciaire
//                  Section Nouvelles Technologies
// ****************************************************************************
//  Module:         Module for special media function, like HPA/DCO and others
// ****************************************************************************

#ifndef __MEDIA_H__
#define __MEDIA_H__

#include <QString>

class t_MediaInfo
{
   public:
       t_MediaInfo ();
      ~t_MediaInfo ();

       APIRET QueryDevice (const char *pLinuxDevice);

   private:
      void InitUnknown (void);

   public:
      typedef enum
      {
         Unknown = 0,
         No,
         Yes
      } t_MediaState;

   public:
      QString            SerialNumber;
      QString            Model;
      t_MediaState       SupportsLBA48;
      t_MediaState       SupportsDCO;
      t_MediaState       SupportsHPA;
      t_MediaState       HasHPA;
      t_MediaState       HasDCO;
      unsigned long long HPASize;   // A size of 0
      unsigned long long DCOSize;   // means "unknown"
      unsigned long long RealSize;
};
typedef t_MediaInfo *t_pMediaInfo;


// ------------------------------------
//             Error codes
// ------------------------------------

enum
{
   ERROR_MEDIA_MEMALLOC_FAILED = ERROR_BASE_MEDIA + 1,
   ERROR_MEDIA_IDENTIFY_FAILED
};

#endif


